# Uses of Class
org.eclipse.net4j.util.om.trace.ContextTracer

Packages that use ContextTracer
Package
Description
org.eclipse.net4j.util.om.trace
Interfaces and classes for platform-independent tracing.

## Uses of ContextTracer in org.eclipse.net4j.util.om.trace

Subclasses of ContextTracer in org.eclipse.net4j.util.om.trace
Modifier and Type
Class
Description
`class`
`PerfTracer`
A `context tracer` that maintains a number of timers for performance measurements.
Method parameters in org.eclipse.net4j.util.om.trace with type arguments of type ContextTracer
Modifier and Type
Method
Description
`boolean`
ContextTracer.`ifEnabled(Consumer<ContextTracer> consumer)`
Provides zero-cost tracing in combination with the `assert` keyword.